package com.unis.detectionnum.server.dao;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Repository;

import com.unis.detectionnum.server.entity.AnnouncementDO;

@Repository
public interface AnnouncementDao {
    int deleteByPrimaryKey(Integer id);

    int insert(AnnouncementDO record);

    int insertSelective(AnnouncementDO record);

    AnnouncementDO selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(AnnouncementDO record);

    int updateByPrimaryKeyWithBLOBs(AnnouncementDO record);

    int updateByPrimaryKey(AnnouncementDO record);

	/** 
	 * @Title: selectByParams 
	 * @Description: 根据条件查询公告列表
	 * @param paramMap
	 * @return List<AnnouncementDO>
	 * @throws 
	 */
	List<AnnouncementDO> selectByParams(Map<String, Object> paramMap);
}